org.apache.commons.jelly.tags.dynabean

## Class DynabeanTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.dynabean.DynabeanTag

All Implemented Interfaces:
  Tag

    public class DynabeanTag
    extends TagSupport

A tag which conditionally evaluates its body based on some condition

Version:
  $Revision: 155420 $
Author:
  Theo Niemeijer

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`DynabeanTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getVar()`
`void` `setDynaclass(org.apache.commons.beanutils.DynaClass dynaClass)` Sets the DynaClass of the new instance to create
`void` `setVar(java.lang.String var)` Sets the name of the variable to export the new DynaBean instance to

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynabeanTag

    public DynabeanTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### setDynaclass

    public void setDynaclass(org.apache.commons.beanutils.DynaClass dynaClass)

Sets the DynaClass of the new instance to create

#### getVar

    public java.lang.String getVar()

#### setVar

    public void setVar(java.lang.String var)

Sets the name of the variable to export the new DynaBean instance to